%define realname opensfx

Name:           openttd-%{realname}
Version:        0.2.3
Release:        %mkrel 1
Summary:        OpenSFX sound replacement set for OpenTTD

Group:          Games/Strategy
License:        Creative Commons Sampling Plus 1.0 License
URL:            http://dev.openttdcoop.org/projects/opensfx
Source0:        http://bundles.openttdcoop.org/%{realname}/releases/%{realname}-%{version}-source.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  catcodec
Conflicts:      openttd < 1.0.0

%description
OpenSFX is an open source replacement for the original Transport Tycoon
Deluxe base sounds used by OpenTTD.

%prep
%setup -q -n %{realname}-%{version}-source

%build
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_gamesdatadir}/openttd/data
%make install INSTALL_DIR=%{buildroot}%{_gamesdatadir}/openttd/data

%check
%make check

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc docs/*.txt
%{_gamesdatadir}/openttd/data/%{realname}-%{version}.tar


%changelog
* Mon Apr 07 2012 Neal <nealbrks0 at gmail dot com> 0.2.3-1pclos2012
- process

* Mon Apr 07 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.2.3-1pclos2012
- rebuild for 64bit

* Sat Jul 17 2010 maik3531 <maik3531 at yahoo.de> 0.2.3-1mdv2010.1
- import openttd-opensfx


